
From: Christoph Hellwig <hch@lst.de>

sa_handler isn't the first member of struct sigaction on mips.  Use C99
initializers to avoid a compiler warning.  (There don't seem to be more
serious problems as mips worked with that warning for ages)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/init_task.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/init_task.h~fix-init_sighand-warning-on-mips include/linux/init_task.h
--- 25/include/linux/init_task.h~fix-init_sighand-warning-on-mips	Wed Jan 19 15:33:52 2005
+++ 25-akpm/include/linux/init_task.h	Wed Jan 19 15:33:52 2005
@@ -54,10 +54,10 @@
 	.rlim		= INIT_RLIMITS,					\
 }
 
-#define INIT_SIGHAND(sighand) {	\
-	.count		= ATOMIC_INIT(1), 		\
-	.action		= { {{NULL,}}, },		\
-	.siglock	= SPIN_LOCK_UNLOCKED, 		\
+#define INIT_SIGHAND(sighand) {						\
+	.count		= ATOMIC_INIT(1), 				\
+	.action		= { { { .sa_handler = NULL, } }, },		\
+	.siglock	= SPIN_LOCK_UNLOCKED, 				\
 }
 
 extern struct group_info init_groups;
_
